gstreamermm: Gst::OutputSelector Class Reference

gstreamermm 0.10.11

- Main Page
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Protected Member Functions | Related Functions
Gst::OutputSelector Class Reference
gstreamermm Plugins

A Wrapper for the output-selector plugin. More...

Inheritance diagram for Gst::OutputSelector:
[legend]
Collaboration diagram for Gst::OutputSelector:
[legend]

List of all members.

## Public Member Functions
virtual | ~OutputSelector ()
GstOutputSelector* | gobj ()
| Provides access to the underlying C GObject.
const GstOutputSelector* | gobj () const
| Provides access to the underlying C GObject.
GstOutputSelector* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
Glib::PropertyProxy < Glib::RefPtr< Gst::Pad > > | property_active_pad ()
| Currently active src pad.
Glib::PropertyProxy_ReadOnly < Glib::RefPtr< Gst::Pad > > | property_active_pad () const
| Currently active src pad.
Glib::PropertyProxy< bool > | property_resend_latest ()
| Resend latest buffer after a switch to a new pad.
Glib::PropertyProxy_ReadOnly < bool > | property_resend_latest () const
| Resend latest buffer after a switch to a new pad.
Glib::PropertyProxy < Gst::OutputSelectorPadNegotiationMode > | property_pad_negotiation_mode ()
| The mode to be used for pad negotiation.
Glib::PropertyProxy_ReadOnly < Gst::OutputSelectorPadNegotiationMode > | property_pad_negotiation_mode () const
| The mode to be used for pad negotiation.
## Static Public Member Functions
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system.
static Glib::RefPtr < OutputSelector > | create ()
| Creates a new output-selector plugin with a unique name.
static Glib::RefPtr < OutputSelector > | create (const Glib::ustring& name)
| Creates a new output-selector plugin with the given name.
## Protected Member Functions
| OutputSelector ()
| OutputSelector (const Glib::ustring& name)
## Related Functions
(Note that these are not member functions.)
Glib::RefPtr< Gst::OutputSelector > | wrap (GstOutputSelector* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

A Wrapper for the output-selector plugin.

Please note that not all plug-ins are available on all systems so care must be taken that they exist before they are used otherwise there will be errors and possibly a crash.

## Constructor & Destructor Documentation

virtual Gst::OutputSelector::~OutputSelector | ( |  | ) | `[virtual]`

Gst::OutputSelector::OutputSelector | ( |  | ) | `[protected]`

Gst::OutputSelector::OutputSelector | ( | const Glib::ustring & | name | ) | `[explicit, protected]`

## Member Function Documentation

static Glib::RefPtr<OutputSelector> Gst::OutputSelector::create | ( |  | ) | `[static]`

Creates a new output-selector plugin with a unique name.

static Glib::RefPtr<OutputSelector> Gst::OutputSelector::create | ( | const Glib::ustring & | name | ) | `[static]`

Creates a new output-selector plugin with the given name.

static GType Gst::OutputSelector::get_type | ( |  | ) | `[static]`

Get the GType for this class, for use with the underlying GObject type system.

Reimplemented from Gst::Element.

GstOutputSelector* Gst::OutputSelector::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented from Gst::Element.

const GstOutputSelector* Gst::OutputSelector::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented from Gst::Element.

GstOutputSelector* Gst::OutputSelector::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

Reimplemented from Gst::Element.

Glib::PropertyProxy< Glib::RefPtr<Gst::Pad> > Gst::OutputSelector::property_active_pad | ( |  | ) |

Currently active src pad.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< Glib::RefPtr<Gst::Pad> > Gst::OutputSelector::property_active_pad | ( |  | ) | const

Currently active src pad.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< Gst::OutputSelectorPadNegotiationMode > Gst::OutputSelector::property_pad_negotiation_mode | ( |  | ) |

The mode to be used for pad negotiation.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< Gst::OutputSelectorPadNegotiationMode > Gst::OutputSelector::property_pad_negotiation_mode | ( |  | ) | const

The mode to be used for pad negotiation.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< bool > Gst::OutputSelector::property_resend_latest | ( |  | ) |

Resend latest buffer after a switch to a new pad.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< bool > Gst::OutputSelector::property_resend_latest | ( |  | ) | const

Resend latest buffer after a switch to a new pad.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

## Friends And Related Function Documentation

Glib::RefPtr< Gst::OutputSelector > wrap | ( | GstOutputSelector * | object,
|  | bool | take_copy = `false`
| ) |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- gstreamermm/outputselector.h